#!/bin/sh
echo 'name: crypto-pubkey
version: 0.1.3
id: crypto-pubkey-0.1.3-1be0199ec496eae4ccdbddf4b1ceb778

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability:
homepage: http://github.com/vincenthz/hs-crypto-pubkey
package-url:
synopsis: Public Key cryptography
description: Public Key cryptography
             .
             Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
             .
             Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.PubKey.RSA Crypto.PubKey.RSA.PKCS15
                 Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
                 Crypto.PubKey.DSA Crypto.PubKey.DH Crypto.PubKey.HashDescr
                 Crypto.PubKey.MaskGenFunction
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/crypto-pubkey-0.1.3
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/crypto-pubkey-0.1.3
              /usr/local/lib
hs-libraries: HScrypto-pubkey-0.1.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         bytestring-0.10.0.2-59abd9894532f476aabac207680aae43
         crypto-numbers-0.1.3-e80c0d8c38e160be2687fc2ba8c49d33
         crypto-pubkey-types-0.3.2-329f58da67faa29049a14f3251aa1dcd
         crypto-random-api-0.2.0-2ff32e4b466d3bb9e42fa96b65bf7a09
         cryptohash-0.9.0-99a9cb2ad81958bd9269cbc7d3bede89
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/crypto-pubkey-0.1.3/html/crypto-pubkey.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/crypto-pubkey-0.1.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
